Subject: Re: Non-Repudiation

From: Ed Gerck <[email-masked]>
Date: Fri, 13 Aug 1999 17:09:40 -0700

Bob Jueneman wrote:

> However, I tend to disagree with your characterization of all of this
> as a CA issue, for other than perhaps counter-signing or witnessing
> the subscriber's desire to enable a particular key/certificate for a higher
> level of presumptive validity, I don't think the CA plays a role at all
> with respect to nonrepudiation.

Bob:

We are in agreement. I don't know what you tend to disagree with
but I believe it is not in the above.  BTW, just to make it clearer, this
is what I wrote before on the role the CA can/cannot play, as the
topic you mention seems also to fall under my question (2) of
two days ago:

 2. Can a CA use PKIX in order to permit or prohibit a
 particular subscriber certificate from being used in a
 transaction?

And the answer IMO is no, only the CPS can handle it in a consistent
way by policy or legal restrictions since all the CA can do is take good
care of what the CA signs, not what the subscriber signs.  The certificate
itself can be seen as a tamperproof communication channel from CA to
r-p but no assurance can be provided on how the corresponding
subscriber's private-key  is used in a transaction at the subscriber's
platform.

Thus, PKIX should allow such matters to be handled in the CPS.
Otherwise, if this would be pre-empted in the specs (as the *current*
specs do) then IMO this will very probably be either too vague or
too restrictive in a general case.

> And in particular, although this is just my personal opinion, I don't think
> that the CPS is going to be particularly relevant in this area, since contracts
> are not transitive.

Here we do seem to disagree in basics, but not by the reason you provide.
My reasons to say the above were provided earlier in this thread, but
I comment some below.

> Even if the subscriber agrees to a contract with the CA, and even if
> the RP also contracts with the CA

I posit that a relationship CA-RP  always exists and that is why the
relying-party is called a "relying-party" in a CPS. That is also why a
CPS exists in first place -- to save the CA from the relying-party
obligations it would otherwise have.  I note, however, that this has
nothing to do with the fact that the relying-party is not privy to the
contract between CA and subscriber -- which is another
problem for non-repudiation.

> I have said repeatedly that "technical nonrepudiation" is NOT required
> in order for a signature to be legally binding.

Not even "legal nonrepudiation" is required. However, yesterday you may
have slipped a few words too much when you distinguished between "digital
signatures" and "legally binding, nonrepudiation type fo signatures":

> 2.  Authentication, using what is conventionally called a digital signature, and in
> ....
>
> 3.  Legally binding, "nonrepudiation" type of signatures reflecting the user's intent to be
> legally bound, ....

and I simply noted that a digital signature can be legally binding even though repudiable.
And, I also noted that this is very useful nowadays and even preferred by commerce
in general, so it is not a bad idea to let PKIX also reflect it.  Further, I disagreed in
basics with the notion of  "reflecting the user's intent to be legally bound" and
commented that such may be possible in smart-cards but not all in PKIX. Contrary
to a smart-card, the objects in PKIX are exchanged exclusively among applications
(not between an application and a user).

The distinction you seem to have meant in items #2 and #3 above could be better
expressed in the following way, IMO:

2. Authentication, or digital signature without attribution to a persona (ie, a
legal entity with adequate capacity for the act).

3. Legally binding signature, or digital signature with attribution to a persona.

and, I would add:

4. Legally binding nonrepudiation signature, or  digital signature with attribution
both to a persona and to nonrepudiation.

But, again, I think this WG has reached a resonable intersubjective understanding of
the NR issue and it is now up to the spec scribes to make the next move.

Cheers,

Ed Gerck